%define _unpackaged_files_terminate_build 1
%define pypi_name flit
%define pypi_name_core flit-core

%def_with check

Name: python3-module-%pypi_name
Version: 3.9.0
Release: alt1
Summary: A simple packaging tool for simple packages
License: BSD-3-Clause
Group: Development/Python3
URL: https://pypi.org/project/flit/
VCS: https://github.com/pypa/flit

BuildArch: noarch

Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
# flit and flit-core are built from the same repo
%add_pyproject_deps_build_filter %pypi_name_core
%pyproject_builddeps_build
%if_with check
%add_pyproject_deps_check_filter %pypi_name_core
%pyproject_builddeps_metadata
%pyproject_builddeps_check
%endif

%description
Flit is a simple way to put Python packages and modules on PyPI. It tries to
require less thought about packaging and help you avoid common mistakes

%package -n python3-module-%pypi_name_core
Summary: Distribution-building parts of Flit
License: BSD
Group: Development/Python3
# previously flit_core was a part of flit
Conflicts: python3-module-flit <= 3.6.0
%py3_provides %pypi_name_core

%description -n python3-module-%pypi_name_core
Distribution-building parts of Flit.

%prep
%setup
%autopatch -p1
export PYTHONPATH=$(pwd)/flit_core
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync_check_tox tox.ini testenv
%endif

%build
# build PEP517 backend
pushd flit_core
%pyproject_build
popd

# actually it should be built with self-hosted backend
export PYTHONPATH=$(pwd)/flit_core
%pyproject_build

%install
pushd flit_core
%pyproject_install
popd
%pyproject_install

# don't ship tests
rm -r %buildroot%python3_sitelibdir/flit_core/tests/

%check
# build backend is required in subprocesses
export PYTHONPATH=$(pwd)/flit_core
%pyproject_run_pytest -ra -Wignore

%files
%doc README.rst
%_bindir/flit
%python3_sitelibdir/flit/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%files -n python3-module-%pypi_name_core
%python3_sitelibdir/flit_core/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name_core}/

%changelog
* Mon May 15 2023 Stanislav Levin <slev@altlinux.org> 3.9.0-alt1
- 3.8.0 -> 3.9.0.

* Tue Nov 15 2022 Stanislav Levin <slev@altlinux.org> 3.8.0-alt1
- 3.7.1 -> 3.8.0.

* Thu Oct 27 2022 Stanislav Levin <slev@altlinux.org> 3.7.1-alt1
- 3.6.0 -> 3.7.1.
- Subpackaged PEP517 build backend (flit_core).

* Tue Feb 15 2022 Aleksei Nikiforov <darktemplar@altlinux.org> 3.6.0-alt1
- Updated to upstream version 3.6.0.

* Tue Aug 17 2021 Aleksei Nikiforov <darktemplar@altlinux.org> 3.3.0-alt1
- Updated to upstream version 3.3.0.

* Tue Jun 22 2021 Aleksei Nikiforov <darktemplar@altlinux.org> 3.2.0-alt1
- Updated to upstream version 3.2.0.

* Mon Mar 15 2021 Aleksei Nikiforov <darktemplar@altlinux.org> 3.0.0-alt1
- Updated to upstream version 3.0.0.

* Mon Aug 10 2020 Aleksei Nikiforov <darktemplar@altlinux.org> 2.3.0-alt2
- Disabled bootstrapping.

* Mon Aug 10 2020 Aleksei Nikiforov <darktemplar@altlinux.org> 2.3.0-alt1
- Initial build for ALT.

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 13 2017 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.11.1-1
- Update to 0.11.1

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 23 2017 Michal Cyprian <mcyprian@redhat.com> - 0.9-5
- Use python install wheel macro

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.9-4
- Rebuild for Python 3.6

* Thu Sep 29 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 0.9-3
- Updated spec file with license comments and provides

* Sat Sep 24 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.9-2
- spec file cleanup

* Sat Jul 2 2016 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.9-1
- Initial RPM release
